Error
A valid request URL is required to generate request examples{
"offset": 123,
"has_next": true,
"collections": [
{
"collection_id": "<string>",
"title": "<string>",
"handle": "<string>",
"image_urls": [
"<string>"
],
"shopify_sort_order": "MANUAL",
"sort_order": "ALPHA_ASC",
"has_depict_configuration": true,
"sync_back_to_shopify": true,
"unpin_oos": true,
"updated_at": "<string>",
"shopify_updated_at": "<string>",
"use_collection_specific_boost_bury": true,
"main_version": "<string>",
"n_products": 123,
"n_pinned_main_product_ids": 123,
"product_images": [
"<string>"
],
"has_scheduled_version": true
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}API Reference
Search and page the merchant's collections
Returns one page of the merchant’s collections ordered by title, optionally filtered by a title search. Read-only. To page, pass the response’s offset back while has_next is true.
GET
/
collections
/
paginated
Error
A valid request URL is required to generate request examples{
"offset": 123,
"has_next": true,
"collections": [
{
"collection_id": "<string>",
"title": "<string>",
"handle": "<string>",
"image_urls": [
"<string>"
],
"shopify_sort_order": "MANUAL",
"sort_order": "ALPHA_ASC",
"has_depict_configuration": true,
"sync_back_to_shopify": true,
"unpin_oos": true,
"updated_at": "<string>",
"shopify_updated_at": "<string>",
"use_collection_specific_boost_bury": true,
"main_version": "<string>",
"n_products": 123,
"n_pinned_main_product_ids": 123,
"product_images": [
"<string>"
],
"has_scheduled_version": true
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Shopify App Bridge session token of the embedded Depict: Search & Merchandising app. The shop in the token determines the merchant; merchant_id parameters must belong to that shop.
Query Parameters
Lite merchant id, e.g. shopify-<shop id>.
Case-insensitive substring of the title in any locale.
Maximum string length:
200Rows to skip; use the previous page's offset.
Include product_images (costs one more query).
Was this page helpful?

